## ECategoriesEditor

ECategoriesEditor

## Synopsis

    struct              ECategoriesEditor;
    GtkWidget *         e_categories_editor_new             (void);
    gchar *             e_categories_editor_get_categories  (ECategoriesEditor *editor);
    void                e_categories_editor_set_categories  (ECategoriesEditor *editor,
                                                             const gchar *categories);
    gboolean            e_categories_editor_get_entry_visible
                                                            (ECategoriesEditor *editor);
    void                e_categories_editor_set_entry_visible
                                                            (ECategoriesEditor *editor,
                                                             gboolean entry_visible);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkTable
                               +----ECategoriesEditor

## Implemented Interfaces

ECategoriesEditor implements AtkImplementorIface and GtkBuildable.

## Properties

      "entry-visible"            gboolean              : Read / Write

## Signals

      "entry-changed"                                  : Run First

## Description

## Details

### struct ECategoriesEditor

    struct ECategoriesEditor;

Contains only private data that should be read and manipulated using the functions below.

Since 3.2

### e_categories_editor_new ()

    GtkWidget *         e_categories_editor_new             (void);

Creates a new ECategoriesEditor widget.

Returns : | a new ECategoriesEditor

Since 3.2

### e_categories_editor_get_categories ()

    gchar *             e_categories_editor_get_categories  (ECategoriesEditor *editor);

Gets a comma-separated list of the categories currently selected in the editor.

`editor` : | an ECategoriesEditor
Returns : | a comma-separated list of categories. Free returned pointer with `g_free()`.

Since 3.2

### e_categories_editor_set_categories ()

    void                e_categories_editor_set_categories  (ECategoriesEditor *editor,
                                                             const gchar *categories);

Sets the list of categories selected on the editor.

`editor` : | an ECategoriesEditor
`categories` : | comma-separated list of categories

Since 3.2

### e_categories_editor_get_entry_visible ()

    gboolean            e_categories_editor_get_entry_visible
                                                            (ECategoriesEditor *editor);

Return the visibility of the category input entry.

`editor` : | an ECategoriesEditor
Returns : | whether the entry is visible

Since 3.2

### e_categories_editor_set_entry_visible ()

    void                e_categories_editor_set_entry_visible
                                                            (ECategoriesEditor *editor,
                                                             gboolean entry_visible);

Sets the visibility of the category input entry.

`editor` : | an ECategoriesEditor
`entry_visible` : | whether to make the entry visible

Since 3.2

## Property Details

### The `"entry-visible"` property

      "entry-visible"            gboolean              : Read / Write

Default value: TRUE

## Signal Details

### The `"entry-changed"` signal

    void                user_function                      (ECategoriesEditor *ecategorieseditor,
                                                            gpointer           user_data)              : Run First